:XPREFIX:
	.code
%1$s
	.proc
	.callinfo caller, frame=16, save_rp
	.export %1$s,entry
	.import %3$s,code
	.entry
	std	%%rp,-16(%%sp)
	ldo	96(%%sp),%%sp
	std	%%r27, -96(%%sp)
	ldi	%5$d, %%r26
	addil	lt'soinfo,%%r27
	ldd	rt'soinfo(%%r1),%%r25
	bl	%3$s, %%rp
	ldo	-16(%%sp), %%r29
	ldd	-96(%%sp), %%r27
	ldd	-96-16(%%sp), %%rp
	bve	(%%rp)
	.exit
	ldo	-96(%%sp), %%sp
	.procend
%2$s
	.proc
	.callinfo caller, frame=16, save_rp
	.export %2$s,entry
	.import %4$s,code
	.entry
	std	%%rp,-16(%%sp)
	ldo	96(%%sp),%%sp
	std	%%r27, -96(%%sp)
	ldi	%5$d, %%r26
	addil	lt'soinfo,%%r27
	ldd	rt'soinfo(%%r1),%%r25
	bl	%4$s, %%rp
	ldo	-16(%%sp), %%r29
	ldd	-96(%%sp), %%r27
	ldd	-96-16(%%sp), %%rp
	bve	(%%rp)
	.exit
	ldo	-96(%%sp), %%sp
	.procend
